Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class BootstrapLoader

    java.lang.Object
      org.gradle.BootstrapLoader

    public class BootstrapLoader

extends java.lang.Object

Constructor Summary
`BootstrapLoader()`

Method Summary
`java.net.URLClassLoader` | `getClassLoader()`
`static java.util.List<java.io.File>` | `getGradleClasspath()`
`static java.io.File[]` | `getGradleHomeLibClasspath()`
`static java.util.List<java.io.File>` | `getLoggingJars()`
`static java.util.List<java.io.File>` | `getNonLoggingJars()`
`void` | `initialize(java.lang.ClassLoader parentClassloader, java.io.File gradleHome, boolean useParentLastClassLoader, boolean loadOpenAPI, boolean bootStrapDebug)`
`void` | `initialize(java.io.File gradleHome, boolean bootStrapDebug)`
`java.lang.Class` | `load(java.lang.String classPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapLoader

    public BootstrapLoader()

Method Detail

### initialize

    public void initialize(java.io.File gradleHome,
                           boolean bootStrapDebug)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(java.lang.ClassLoader parentClassloader,
                           java.io.File gradleHome,
                           boolean useParentLastClassLoader,
                           boolean loadOpenAPI,
                           boolean bootStrapDebug)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getGradleHomeLibClasspath

    public static java.io.File[] getGradleHomeLibClasspath()

### getNonLoggingJars

    public static java.util.List<java.io.File> getNonLoggingJars()

### getLoggingJars

    public static java.util.List<java.io.File> getLoggingJars()

### getGradleClasspath

    public static java.util.List<java.io.File> getGradleClasspath()

### getClassLoader

    public java.net.URLClassLoader getClassLoader()

### load

    public java.lang.Class load(java.lang.String classPath)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD